VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Vapi::Metadata::Metamodel::UserDefinedType Class Reference
Inheritance diagram for Com::Vmware::Vapi::Metadata::Metamodel::UserDefinedType:

## Avaliable Methods
public method | get_resource_id ()
public method | get_resource_type ()
public method | set_resource_type ()
public method | set_resource_id ()
public method | new ()

## Detailed Description

The `Com::Vmware::Vapi::Metadata::Metamodel::UserDefinedType` class contains the metamodel type information of a typed element whose type is a user defined named type.

## Member Function Documentation

public method Com::Vmware::Vapi::Metadata::Metamodel::UserDefinedType::get_resource_id | ( |  | ) |

Gets the value of 'resource_id' property.

Return values

  resource_id | - The current value of the field. Identifier of the user defined named type. ID#

Code:
click to view
# Number of lines of code in get_resource_id: 4
sub get_resource_id {
my ($self, %args) = @_;
return $self->{'resource_id'};
}

public method Com::Vmware::Vapi::Metadata::Metamodel::UserDefinedType::get_resource_type | ( |  | ) |

Gets the value of 'resource_type' property.

Return values

  resource_type | - The current value of the field. Category of the user defined named type. The named type could be a structure element or an enumeration element. String#

Code:
click to view
# Number of lines of code in get_resource_type: 4
sub get_resource_type {
my ($self, %args) = @_;
return $self->{'resource_type'};
}

public method Com::Vmware::Vapi::Metadata::Metamodel::UserDefinedType::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Vapi::Metadata::Metamodel::UserDefinedType structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 18
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{resource_type} = $args{'resource_type'};
$self->{resource_id} = $args{'resource_id'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Vapi::Metadata::Metamodel::UserDefinedType');
$self->set_binding_name('name' => 'com.vmware.vapi.metadata.metamodel.user_defined_type');
$self->set_binding_field('key' => 'resource_type', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'resource_id', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
bless $self, $class;
return $self;
}

public method Com::Vmware::Vapi::Metadata::Metamodel::UserDefinedType::set_resource_id | ( |  | ) |

Sets the given value for 'resource_id' property.

Parameters

  resource_id | - New value for the field. Identifier of the user defined named type.

Code:
click to view
# Number of lines of code in set_resource_id: 5
sub set_resource_id {
my ($self, %args) = @_;
$self->{'resource_id'} = $args{'resource_id'};
return;
}

public method Com::Vmware::Vapi::Metadata::Metamodel::UserDefinedType::set_resource_type | ( |  | ) |

Sets the given value for 'resource_type' property.

Parameters

  resource_type | - New value for the field. Category of the user defined named type. The named type could be a structure element or an enumeration element.

Code:
click to view
# Number of lines of code in set_resource_type: 5
sub set_resource_type {
my ($self, %args) = @_;
$self->{'resource_type'} = $args{'resource_type'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Vapi/Metadata/Metamodel/UserDefinedType.pm